Package ru.bitel.bgbilling.modules.voice.server.bean.range

# Class VoiceCostMapRangeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<VoiceCostMapRange>
ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceCostMapRange>
ru.bitel.bgbilling.modules.voice.server.bean.range.VoiceCostMapRangeDao

public class VoiceCostMapRangeDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceCostMapRange>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceCostMapRangeDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected VoiceCostMapRange`
  `getFromRS(ResultSet rs)`
  `List<ru.bitel.bgbilling.modules.voice.common.dto.VoiceCostMapRangeItem>`
  `items(int costMapId, Date onDate)`
  `List<VoiceCostMapRange>`
  `list(int costMapId, Date onDate)`
  `protected void`
  `updateImpl(VoiceCostMapRange voiceCostMapRange)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceCostMapRangeDao

    public VoiceCostMapRangeDao(Connection con, int moduleId)

- ## Method Details

  - ### list

    public List<VoiceCostMapRange> list(int costMapId, Date onDate) throws SQLException
    Throws:
      `SQLException`

  - ### items

    public List<ru.bitel.bgbilling.modules.voice.common.dto.VoiceCostMapRangeItem> items(int costMapId, Date onDate) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected VoiceCostMapRange getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceCostMapRange>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(VoiceCostMapRange voiceCostMapRange) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceCostMapRange>`
    Throws:
      `SQLException`